# {{ ansible_managed }}
#

{% if cae_live_id == 1 %}
{% set cae_live_sitemap_enabled = true %}
{% endif %}

blueprint.site.mapping.corporate      = {{ cae_live.blueprint.site.mapping.corporate }}
{% if cae_live_sitemap_enabled is defined and cae_live_sitemap_enabled %}
blueprint.sitemap.cae.port            = {{ cae_live.blueprint.sitemap.cae.port }}
blueprint.sitemap.starttime           = {{ cae_live.blueprint.sitemap.starttime }}
blueprint.sitemap.target.root         = {{ cae_live.blueprint.sitemap.target.root }}
{% else %}
# instance 1 create the sitemap
{% endif %}

cae.coderesources.maxAge              = {{ cae_live.cae.coderesources.max_age }}
cae.is.standalone                     = {{ cae_live.cae.is_standalone | bool | ternary('true', 'false') }}

com.coremedia.transform.blobCache.basePath = {{ cae_live.transform.blob_cache.base_path }}

elastic.solr.url                      = {{ cae_live.elastic.solr.url }}

link.urlPrefixType                    = {{ cae_live.link.url_prefix_type }}

repository.blobCachePath              = {{ cae_live.repository.blob.cache.path }}
repository.blobCacheSize              = {{ cae_live.repository.blob.cache.size }}
repository.blobStreamingSizeThreshold = {{ cae_live.repository.blob.streaming.size_threshold }}
repository.blobStreamingThreads       = {{ cae_live.repository.blob.streaming.threads }}
repository.heapCacheSize              = {{ cae_live.repository.heap_cache_size }}
repository.maxCachedBlobSize          = {{ cae_live.repository.max_cached_blob_size }}
repository.url                        = {{ cae_live.repository.url }}

solr.collection.cae                   = {{ cae_live.solr.collection.cae }}
solr.url                              = {{ cae_live.solr.url }}

spring.http.encoding.force            = {{ cae_live.spring.http.encoding.force | bool | ternary('true', 'false') }}

view.debug.enabled                    = {{ cae_live.view.debug.enabled | bool | ternary('true', 'false') }}

mongoDb.clientURI                     = {{ cae_live.mongodb.client_uri }}
mongoDb.prefix                        = {{ cae_live.mongodb.prefix }}
